Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4572 closed defect (fixed)

Improve Clarity for New Clock Manager Directives

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: doc Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Looking through the Clock Manager at the new APIs, I noticed that there is nothing about what bintime and sbintime are in the "Time and Date Data Structures" section. Explaining what these time representations are is needed.

struct timeval and timespec are also not described in "Time and Data Data Structures" but this may be OK since they are from C and/or POSIX.

There is no discussion of what coarse is versus the non-coarse and what this means in practice.

There is no background on what the various clock sources are.

There may be other similar typos but rtems_clock_get_monotonic() describes its sole argument as being of the wrong type.

Without some background on the various time formats, sources, and terminology, the distinction between these APIs and their intended uses is impossible to figure out.

Change History (7)

comment:1 Changed on 12/16/21 at 06:41:56 by Sebastian Huber <sebastian.huber@…>

In [changeset:"732d8bca8f2d83212c76df22a40df84e0b197924/rtems-docs" 732d8bc/rtems-docs]:

c-user: Fix Clock Manager parameter descriptions

Update #4572.

comment:2 Changed on 12/16/21 at 07:16:25 by Sebastian Huber

Keywords: qualification added
Status: assignedaccepted

comment:3 Changed on 12/16/21 at 14:38:16 by Sebastian Huber <sebastian.huber@…>

In [changeset:"786b89ac86a0832f08277483941fbc80c27d29f6/rtems-docs" 786b89a/rtems-docs]:

c-user: Clarify time formats

Update #4572.

comment:4 Changed on 12/22/21 at 07:11:55 by Sebastian Huber <sebastian.huber@…>

In [changeset:"d40477161eebe53460b6219901bdc4e33efd43ed/rtems" d404771/rtems]:

rtems: Fix Clock Manager parameter descriptions

Update #4572.

comment:5 Changed on 01/11/22 at 08:19:52 by Sebastian Huber <sebastian.huber@…>

In [changeset:"e77e04d2dc3794c3e69e023b431a47856fc4af40/rtems-docs" e77e04d/rtems-docs]:

c-user: Clarify Clock Manager dependencies

Update #4572.

comment:6 Changed on 01/26/22 at 13:27:01 by Sebastian Huber

Joel, please close this issue or complain.

comment:7 Changed on 01/26/22 at 18:36:34 by Joel Sherrill

Resolution: fixed
Status: acceptedclosed

I think it covers the concepts now.

Note: See TracTickets for help on using tickets.